/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Perfusion Model Parameters
 */
public enum EnumCV_PerfusionModelParameters {

	REGIONAL_CEREBRAL_BLOOD_FLOW_113055("113055"),
	REGIONAL_BLOOD_FLOW_126390("126390"),
	REGIONAL_CEREBRAL_BLOOD_VOLUME_113056("113056"),
	REGIONAL_BLOOD_VOLUME_126391("126391"),
	MEAN_TRANSIT_TIME_113052("113052"),
	TIME_TO_PEAK_113069("113069"),
	OXYGEN_EXTRACTION_FRACTION_126392("126392");
	
	private String value;
	
	EnumCV_PerfusionModelParameters(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
